Subject: bug#48494: 28.0.50; [PATCH] AngeFTP fails on macOS 10.14 with GNU inetutils FTP

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 May 2021 14:52:56 +0300

> From: Alex Bochannek <[email-masked]>
> Date: Mon, 17 May 2021 20:53:41 -0700
> 
> There is no -e option for Windows FTP and ftp will terminate when
> receiving an unknown option (tested version Windows 10.0.19042.928)
> 
> There is no -e option in Solaris FTP and I cannot test how it responds
> to an unknown option.
> 
> I am proposing the below patch which resolves the problem on macOS with
> GNU inetutils and does no harm for Netkit-ftp/lukemftp/tnftp.
> 
> However, because of the way a Windows client would respond, I am open to
> different approaches including considering this an inetutils bug
> instead.

How about making the default value depend on the value of system-type?